using System;
using System.Collections;

using hsc.system;

namespace hsc.system
{
	/// <summary>
	/// Compares two GameInfo structures.
	/// </summary>
	public class GameInfoComparer : IComparer
	{
		/// <summary>
		/// Creates a new GameInfoComparer.
		/// </summary>
		public GameInfoComparer()
		{
		}

		/// <summary>
		/// Compares two objects.
		/// </summary>
		/// <param name="x">The first object.</param>
		/// <param name="y">The second object.</param>
		/// <returns>Less and zero if x less than y, zero if z equals y,
		/// greater than zero if x is greater than y.</returns>
		public int Compare( Object x, Object y )
		{
			if ( !( x is GameInfo && y is GameInfo ) )
			{
				throw new ArgumentException( "x and y must be GameInfo objects." );
			}

			GameInfo gInfoX = (GameInfo)x;
			GameInfo gInfoY = (GameInfo)y;

			return gInfoY.PlayDate.CompareTo( gInfoX.PlayDate );
		}
	}
}
