using System;
using System.Reflection;

using hsc.presentation;

namespace hsc.system
{
	/// <summary>
	/// Halo2 Stat Collector main class.
	/// </summary>
	public class HSCMain
	{
		private static HSCForm hscForm;
		private static String assemblyDir;

		/// <summary>The absolute path to hsc.exe</summary>
		/// <value>A string representing a file path.</value>
		public static String AssemblyDir
		{
			get
			{
				return assemblyDir;
			}
		}

		/// <summary>Gets the main HSC form.</summary>
		/// <value>A Form.</value>
		public static HSCForm HscForm
		{
			get
			{
				return hscForm;
			}
		}

		/// <summary>
		/// Creates a new HSCForm.
		/// </summary>
		public HSCMain()
		{
			Assembly hscAssembly = Assembly.GetExecutingAssembly();
			assemblyDir = hscAssembly.Location.Substring(
                0, hscAssembly.Location.LastIndexOf( '\\' ) + 1 );

			Properties props = Properties.Instance;

			hscForm = new HSCForm();

			System.Windows.Forms.Application.Run( hscForm );
		}

		/// <summary>
		/// System entry point.
		/// </summary>
		/// <param name="args">A list of command line arguments.</param>
		[STAThread]
		public static void Main( String[] args )
		{
			new HSCMain();
		}
	}
}
